%Calculate autocorrelation of price time series
 
 
A= zeros(simduration-2,1); %autocorrelation
B=zeros(simduration-2,1);
C=zeros(simduration-2,1);
Z=zeros(simduration-1,1);
for tt=2: simduration

Z(tt,1)=log10(priceSeries(tt )/priceSeries(tt-1 )); % returns
Y(tt,1)=abs(Z(tt,1));
end

for i=1:simduration -2
   for  tt1=i+1:simduration -1
         
      
     b1(tt1,1)=Z(tt1);
     b2(tt1,1)=Z(tt1-i);
     c1(tt1,1)=Y(tt1,1);
     c2(tt1,1)=Y(tt1-i,1);
    end
     b3=b1.*b2;
     c3=c1.*c2;
     
     % A(i,1)= mean(( Z(tt-1 )-mean(Z(tt-1 )))*( Z(tt-1-i)-mean( Z(tt-1-i ))))
 B(i,1)=mean(b3)-mean(b1)*mean(b2);
 
 C(i,1)=mean(c3)-mean(c1)*mean(c2);
end


figure(12)

plot(1:simduration-2,A)
xlabel('lag time ');  ylabel('autocorrelation'); 
title('m1=3, m2=6, T1=12, T2=60, N=201, N1=40');

figure(13)

plot(1:simduration-2,B)
xlabel('lag time ');  ylabel('autocorrelation'); 
title('m1=3, m2=6, T1=12, T2=60, N=201, N1=40');

figure(14)

plot(1:simduration-2,C)
xlabel('lag time ');  ylabel('autocorrelation'); 
title('m1=3, m2=6, T1=12, T2=60, N=201, N1=40');